## groove 0.4-10

=== Makefile ===
#############################################################################
# Makefile for building: groove
# Generated by qmake (2.01a) (Qt 4.6.2) on: Tue Jul 20 16:35:58 2010
# Project:  Groove.pro
# Template: app
# Command: /usr/bin/qmake -spec /usr/share/qt4/mkspecs/linux-g++ -unix CONFIG+=debug -o Makefile Groove.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DDATADIR="/usr/share" -DPKGDATADIR="" -DQT_PHONON_LIB -DQT_DBUS_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -g -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -g -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtDBus -I/usr/include/qt4/phonon -I/usr/include/qt4 -I. -I/usr/include/qjson -I/usr/include/qt4/phonon_compat -I. -I.
LINK          = g++
LFLAGS        = 
LIBS          = $(SUBLIBS)  -L/usr/lib -L/usr/local/lib -lqjson -lphonon -lQtDBus -lQtGui -lQtNetwork -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = main.cpp \
		groove.cpp \
		gscom.cpp \
		splayer.cpp \
		streamio.cpp \
		playlist.cpp \
		downloadmanager.cpp \
		grooveprogressbar.cpp \
		topbar.cpp \
		bottombar.cpp \
		vkb.cpp \
		searchresults.cpp moc_groove.cpp \
		moc_gscom.cpp \
		moc_splayer.cpp \
		moc_streamio.cpp \
		moc_playlist.cpp \
		moc_downloadmanager.cpp \
		moc_grooveprogressbar.cpp \
		moc_topbar.cpp \
		moc_bottombar.cpp \
		moc_vkb.cpp \
		moc_searchresults.cpp \
		qrc_res.cpp
OBJECTS       = main.o \
		groove.o \
		gscom.o \
		splayer.o \
		streamio.o \
		playlist.o \
		downloadmanager.o \
		grooveprogressbar.o \
		topbar.o \
		bottombar.o \
		vkb.o \
		searchresults.o \
		moc_groove.o \
		moc_gscom.o \
		moc_splayer.o \
		moc_streamio.o \
		moc_playlist.o \
		moc_downloadmanager.o \
		moc_grooveprogressbar.o \
		moc_topbar.o \
		moc_bottombar.o \
		moc_vkb.o \
		moc_searchresults.o \
		qrc_res.o
DIST          = /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/debug.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
		/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		Groove.pro
QMAKE_TARGET  = groove
DESTDIR       = 
TARGET        = groove

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): ui_topbar.h ui_bottombar.h ui_vkb.h ui_searchresults.h $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: Groove.pro  /usr/share/qt4/mkspecs/linux-g++/qmake.conf /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/debug.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
		/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libphonon.prl \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtNetwork.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -spec /usr/share/qt4/mkspecs/linux-g++ -unix CONFIG+=debug -o Makefile Groove.pro
/usr/share/qt4/mkspecs/common/g++.conf:
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
/usr/share/qt4/mkspecs/features/debug.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/dbusinterfaces.prf:
/usr/share/qt4/mkspecs/features/dbusadaptors.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libphonon.prl:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtGui.prl:
/usr/lib/libQtNetwork.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -spec /usr/share/qt4/mkspecs/linux-g++ -unix CONFIG+=debug -o Makefile Groove.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/groove1.0.0 || $(MKDIR) .tmp/groove1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/groove1.0.0/ && $(COPY_FILE) --parents groove.h gscom.h splayer.h streamio.h playlist.h downloadmanager.h grooveprogressbar.h topbar.h bottombar.h vkb.h searchresults.h .tmp/groove1.0.0/ && $(COPY_FILE) --parents res.qrc .tmp/groove1.0.0/ && $(COPY_FILE) --parents main.cpp groove.cpp gscom.cpp splayer.cpp streamio.cpp playlist.cpp downloadmanager.cpp grooveprogressbar.cpp topbar.cpp bottombar.cpp vkb.cpp searchresults.cpp .tmp/groove1.0.0/ && $(COPY_FILE) --parents topbar.ui bottombar.ui vkb.ui searchresults.ui .tmp/groove1.0.0/ && (cd `dirname .tmp/groove1.0.0` && $(TAR) groove1.0.0.tar groove1.0.0 && $(COMPRESS) groove1.0.0.tar) && $(MOVE) `dirname .tmp/groove1.0.0`/groove1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/groove1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_groove.cpp moc_gscom.cpp moc_splayer.cpp moc_streamio.cpp moc_playlist.cpp moc_downloadmanager.cpp moc_grooveprogressbar.cpp moc_topbar.cpp moc_bottombar.cpp moc_vkb.cpp moc_searchresults.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_groove.cpp moc_gscom.cpp moc_splayer.cpp moc_streamio.cpp moc_playlist.cpp moc_downloadmanager.cpp moc_grooveprogressbar.cpp moc_topbar.cpp moc_bottombar.cpp moc_vkb.cpp moc_searchresults.cpp
moc_groove.cpp: gscom.h \
		splayer.h \
		streamio.h \
		grooveprogressbar.h \
		qmaemo5rotator.h \
		playlist.h \
		topbar.h \
		vkb.h \
		groove.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) groove.h -o moc_groove.cpp

moc_gscom.cpp: gscom.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) gscom.h -o moc_gscom.cpp

moc_splayer.cpp: streamio.h \
		splayer.h \
		grooveprogressbar.h \
		qmaemo5rotator.h \
		playlist.h \
		gscom.h \
		splayer.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) splayer.h -o moc_splayer.cpp

moc_streamio.cpp: splayer.h \
		streamio.h \
		grooveprogressbar.h \
		qmaemo5rotator.h \
		playlist.h \
		gscom.h \
		streamio.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) streamio.h -o moc_streamio.cpp

moc_playlist.cpp: gscom.h \
		playlist.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) playlist.h -o moc_playlist.cpp

moc_downloadmanager.cpp: downloadmanager.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) downloadmanager.h -o moc_downloadmanager.cpp

moc_grooveprogressbar.cpp: qmaemo5rotator.h \
		grooveprogressbar.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) grooveprogressbar.h -o moc_grooveprogressbar.cpp

moc_topbar.cpp: vkb.h \
		topbar.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) topbar.h -o moc_topbar.cpp

moc_bottombar.cpp: bottombar.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) bottombar.h -o moc_bottombar.cpp

moc_vkb.cpp: vkb.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) vkb.h -o moc_vkb.cpp

moc_searchresults.cpp: searchresults.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) searchresults.h -o moc_searchresults.cpp

compiler_dbus_interface_source_make_all:
compiler_dbus_interface_source_clean:
compiler_dbus_adaptor_source_make_all:
compiler_dbus_adaptor_source_clean:
compiler_rcc_make_all: qrc_res.cpp
compiler_rcc_clean:
	-$(DEL_FILE) qrc_res.cpp
qrc_res.cpp: res.qrc \
		general_fullsize.png \
		wmTaskModified.png \
		groove.png \
		general_search.png \
		general_add.png \
		wmTaskSwitcherIconPressed.png \
		camera_camera_setting.png \
		general_forward.png \
		camera_video_pause.png \
		general_close.png \
		general_foldertree.png \
		camera_video_stop.png \
		wmTaskSwitcherIcon.png \
		general_back.png \
		wmTaskSwitcherIconHighlight.png
	/usr/bin/rcc -name res res.qrc -o qrc_res.cpp

compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_dbus_interface_header_make_all:
compiler_dbus_interface_header_clean:
compiler_dbus_interface_moc_make_all:
compiler_dbus_interface_moc_clean:
compiler_dbus_adaptor_header_make_all:
compiler_dbus_adaptor_header_clean:
compiler_dbus_adaptor_moc_make_all:
compiler_dbus_adaptor_moc_clean:
compiler_uic_make_all: ui_topbar.h ui_bottombar.h ui_vkb.h ui_searchresults.h
compiler_uic_clean:
	-$(DEL_FILE) ui_topbar.h ui_bottombar.h ui_vkb.h ui_searchresults.h
ui_topbar.h: topbar.ui
	/usr/bin/uic-qt4 topbar.ui -o ui_topbar.h

ui_bottombar.h: bottombar.ui
	/usr/bin/uic-qt4 bottombar.ui -o ui_bottombar.h

ui_vkb.h: vkb.ui
	/usr/bin/uic-qt4 vkb.ui -o ui_vkb.h

ui_searchresults.h: searchresults.ui
	/usr/bin/uic-qt4 searchresults.ui -o ui_searchresults.h

compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean compiler_rcc_clean compiler_uic_clean 

####### Compile

main.o: main.cpp groove.h \
		gscom.h \
		splayer.h \
		streamio.h \
		grooveprogressbar.h \
		qmaemo5rotator.h \
		playlist.h \
		topbar.h \
		vkb.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o main.o main.cpp

=== debian/changelog ===
groove (0.4-10) unstable; urgency=low

  * Update version string

 -- Elias Woods <EliasWoods@gmail.com>  Thu, 23 September 2010 03:18:23 -0400

=== control ===
Source: groove
Section: user/multimedia
Priority: extra
Maintainer: Elias Woods <EliasWoods@gmail.com>
Build-Depends: debhelper (>= 5), libqjson-dev, libqt4-dev (>= 4.6.0), autotools-dev, mce-dev
Standards-Version: 3.7.2

Package: groove
Architecture: any
Depends: libqt4-core, libqt4-phonon, libqt4-gui, libqt4-network, libqjson
Description: Qt4 Grooveshark client
 This program is in active development

## groove 0.4-12

=== Makefile ===
--- 
+++ 
@@ -1,22 +1,22 @@
 #############################################################################
 # Makefile for building: groove
-# Generated by qmake (2.01a) (Qt 4.6.2) on: Tue Jul 20 16:35:58 2010
+# Generated by qmake (2.01a) (Qt 4.7.0) on: Wed Jan 5 17:21:15 2011
 # Project:  Groove.pro
 # Template: app
-# Command: /usr/bin/qmake -spec /usr/share/qt4/mkspecs/linux-g++ -unix CONFIG+=debug -o Makefile Groove.pro
+# Command: /usr/bin/qmake -o Makefile Groove.pro
 #############################################################################
 
 ####### Compiler, tools and options
 
 CC            = gcc
 CXX           = g++
-DEFINES       = -DDATADIR="/usr/share" -DPKGDATADIR="" -DQT_PHONON_LIB -DQT_DBUS_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
-CFLAGS        = -pipe -g -Wall -W -D_REENTRANT $(DEFINES)
-CXXFLAGS      = -pipe -g -Wall -W -D_REENTRANT $(DEFINES)
-INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtDBus -I/usr/include/qt4/phonon -I/usr/include/qt4 -I. -I/usr/include/qjson -I/usr/include/qt4/phonon_compat -I. -I.
+DEFINES       = -DDATADIR="/usr/share" -DPKGDATADIR="" -DQT_NO_DEBUG -DQT_PHONON_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
+CFLAGS        = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
+CXXFLAGS      = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
+INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtGui -I/usr/include/phonon -I/usr/include/qt4 -I. -I/usr/include/qjson -I/usr/include -I/usr/include/qt4/phonon_compat -I. -I.
 LINK          = g++
-LFLAGS        = 
-LIBS          = $(SUBLIBS)  -L/usr/lib -L/usr/local/lib -lqjson -lphonon -lQtDBus -lQtGui -lQtNetwork -lQtCore -lpthread 
+LFLAGS        = -Wl,-O1
+LIBS          = $(SUBLIBS)  -L/usr/lib -L/usr/local/lib -lqjson -lpulse-simple -lphonon -lQtGui -lQtNetwork -lQtCore -lpthread 
 AR            = ar cqs
 RANLIB        = 
 QMAKE         = /usr/bin/qmake
@@ -54,7 +54,8 @@
 		topbar.cpp \
 		bottombar.cpp \
 		vkb.cpp \
-		searchresults.cpp moc_groove.cpp \
+		searchresults.cpp \
+		plistwin.cpp moc_groove.cpp \
 		moc_gscom.cpp \
 		moc_splayer.cpp \
 		moc_streamio.cpp \
@@ -65,6 +66,7 @@
 		moc_bottombar.cpp \
 		moc_vkb.cpp \
 		moc_searchresults.cpp \
+		moc_plistwin.cpp \
 		qrc_res.cpp
 OBJECTS       = main.o \
 		groove.o \
@@ -78,6 +80,7 @@
 		bottombar.o \
 		vkb.o \
 		searchresults.o \
+		plistwin.o \
 		moc_groove.o \
 		moc_gscom.o \
 		moc_splayer.o \
@@ -89,23 +92,23 @@
 		moc_bottombar.o \
 		moc_vkb.o \
 		moc_searchresults.o \
+		moc_plistwin.o \
 		qrc_res.o
 DIST          = /usr/share/qt4/mkspecs/common/g++.conf \
 		/usr/share/qt4/mkspecs/common/unix.conf \
 		/usr/share/qt4/mkspecs/common/linux.conf \
 		/usr/share/qt4/mkspecs/qconfig.pri \
+		/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
 		/usr/share/qt4/mkspecs/features/qt_functions.prf \
 		/usr/share/qt4/mkspecs/features/qt_config.prf \
 		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
 		/usr/share/qt4/mkspecs/features/default_pre.prf \
-		/usr/share/qt4/mkspecs/features/debug.prf \
+		/usr/share/qt4/mkspecs/features/release.prf \
 		/usr/share/qt4/mkspecs/features/default_post.prf \
 		/usr/share/qt4/mkspecs/features/warn_on.prf \
 		/usr/share/qt4/mkspecs/features/qt.prf \
+		/usr/share/qt4/mkspecs/features/unix/thread.prf \
 		/usr/share/qt4/mkspecs/features/moc.prf \
-		/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
-		/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
-		/usr/share/qt4/mkspecs/features/unix/thread.prf \
 		/usr/share/qt4/mkspecs/features/resources.prf \
 		/usr/share/qt4/mkspecs/features/uic.prf \
 		/usr/share/qt4/mkspecs/features/yacc.prf \
@@ -147,61 +150,55 @@
 		/usr/share/qt4/mkspecs/common/unix.conf \
 		/usr/share/qt4/mkspecs/common/linux.conf \
 		/usr/share/qt4/mkspecs/qconfig.pri \
+		/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
 		/usr/share/qt4/mkspecs/features/qt_functions.prf \
 		/usr/share/qt4/mkspecs/features/qt_config.prf \
 		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
 		/usr/share/qt4/mkspecs/features/default_pre.prf \
-		/usr/share/qt4/mkspecs/features/debug.prf \
+		/usr/share/qt4/mkspecs/features/release.prf \
 		/usr/share/qt4/mkspecs/features/default_post.prf \
 		/usr/share/qt4/mkspecs/features/warn_on.prf \
 		/usr/share/qt4/mkspecs/features/qt.prf \
+		/usr/share/qt4/mkspecs/features/unix/thread.prf \
 		/usr/share/qt4/mkspecs/features/moc.prf \
-		/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
-		/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
-		/usr/share/qt4/mkspecs/features/unix/thread.prf \
 		/usr/share/qt4/mkspecs/features/resources.prf \
 		/usr/share/qt4/mkspecs/features/uic.prf \
 		/usr/share/qt4/mkspecs/features/yacc.prf \
 		/usr/share/qt4/mkspecs/features/lex.prf \
 		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
-		/usr/lib/libphonon.prl \
-		/usr/lib/libQtDBus.prl \
 		/usr/lib/libQtGui.prl \
 		/usr/lib/libQtNetwork.prl \
 		/usr/lib/libQtCore.prl
-	$(QMAKE) -spec /usr/share/qt4/mkspecs/linux-g++ -unix CONFIG+=debug -o Makefile Groove.pro
+	$(QMAKE) -o Makefile Groove.pro
 /usr/share/qt4/mkspecs/common/g++.conf:
 /usr/share/qt4/mkspecs/common/unix.conf:
 /usr/share/qt4/mkspecs/common/linux.conf:
 /usr/share/qt4/mkspecs/qconfig.pri:
+/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
 /usr/share/qt4/mkspecs/features/qt_functions.prf:
 /usr/share/qt4/mkspecs/features/qt_config.prf:
 /usr/share/qt4/mkspecs/features/exclusive_builds.prf:
 /usr/share/qt4/mkspecs/features/default_pre.prf:
-/usr/share/qt4/mkspecs/features/debug.prf:
+/usr/share/qt4/mkspecs/features/release.prf:
 /usr/share/qt4/mkspecs/features/default_post.prf:
 /usr/share/qt4/mkspecs/features/warn_on.prf:
 /usr/share/qt4/mkspecs/features/qt.prf:
+/usr/share/qt4/mkspecs/features/unix/thread.prf:
 /usr/share/qt4/mkspecs/features/moc.prf:
-/usr/share/qt4/mkspecs/features/dbusinterfaces.prf:
-/usr/share/qt4/mkspecs/features/dbusadaptors.prf:
-/usr/share/qt4/mkspecs/features/unix/thread.prf:
 /usr/share/qt4/mkspecs/features/resources.prf:
 /usr/share/qt4/mkspecs/features/uic.prf:
 /usr/share/qt4/mkspecs/features/yacc.prf:
 /usr/share/qt4/mkspecs/features/lex.prf:
 /usr/share/qt4/mkspecs/features/include_source_dir.prf:
-/usr/lib/libphonon.prl:
-/usr/lib/libQtDBus.prl:
 /usr/lib/libQtGui.prl:
 /usr/lib/libQtNetwork.prl:
 /usr/lib/libQtCore.prl:
 qmake:  FORCE
-	@$(QMAKE) -spec /usr/share/qt4/mkspecs/linux-g++ -unix CONFIG+=debug -o Makefile Groove.pro
+	@$(QMAKE) -o Makefile Groove.pro
 
 dist: 
 	@$(CHK_DIR_EXISTS) .tmp/groove1.0.0 || $(MKDIR) .tmp/groove1.0.0 
-	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/groove1.0.0/ && $(COPY_FILE) --parents groove.h gscom.h splayer.h streamio.h playlist.h downloadmanager.h grooveprogressbar.h topbar.h bottombar.h vkb.h searchresults.h .tmp/groove1.0.0/ && $(COPY_FILE) --parents res.qrc .tmp/groove1.0.0/ && $(COPY_FILE) --parents main.cpp groove.cpp gscom.cpp splayer.cpp streamio.cpp playlist.cpp downloadmanager.cpp grooveprogressbar.cpp topbar.cpp bottombar.cpp vkb.cpp searchresults.cpp .tmp/groove1.0.0/ && $(COPY_FILE) --parents topbar.ui bottombar.ui vkb.ui searchresults.ui .tmp/groove1.0.0/ && (cd `dirname .tmp/groove1.0.0` && $(TAR) groove1.0.0.tar groove1.0.0 && $(COMPRESS) groove1.0.0.tar) && $(MOVE) `dirname .tmp/groove1.0.0`/groove1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/groove1.0.0
+	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/groove1.0.0/ && $(COPY_FILE) --parents groove.h gscom.h splayer.h streamio.h playlist.h downloadmanager.h grooveprogressbar.h topbar.h bottombar.h vkb.h searchresults.h plistwin.h .tmp/groove1.0.0/ && $(COPY_FILE) --parents res.qrc .tmp/groove1.0.0/ && $(COPY_FILE) --parents main.cpp groove.cpp gscom.cpp splayer.cpp streamio.cpp playlist.cpp downloadmanager.cpp grooveprogressbar.cpp topbar.cpp bottombar.cpp vkb.cpp searchresults.cpp plistwin.cpp .tmp/groove1.0.0/ && $(COPY_FILE) --parents topbar.ui bottombar.ui vkb.ui searchresults.ui .tmp/groove1.0.0/ && (cd `dirname .tmp/groove1.0.0` && $(TAR) groove1.0.0.tar groove1.0.0 && $(COMPRESS) groove1.0.0.tar) && $(MOVE) `dirname .tmp/groove1.0.0`/groove1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/groove1.0.0
 
 
 clean:compiler_clean 
@@ -216,13 +213,15 @@
 	-$(DEL_FILE) Makefile
 
 
+check: first
+
 mocclean: compiler_moc_header_clean compiler_moc_source_clean
 
 mocables: compiler_moc_header_make_all compiler_moc_source_make_all
 
-compiler_moc_header_make_all: moc_groove.cpp moc_gscom.cpp moc_splayer.cpp moc_streamio.cpp moc_playlist.cpp moc_downloadmanager.cpp moc_grooveprogressbar.cpp moc_topbar.cpp moc_bottombar.cpp moc_vkb.cpp moc_searchresults.cpp
+compiler_moc_header_make_all: moc_groove.cpp moc_gscom.cpp moc_splayer.cpp moc_streamio.cpp moc_playlist.cpp moc_downloadmanager.cpp moc_grooveprogressbar.cpp moc_topbar.cpp moc_bottombar.cpp moc_vkb.cpp moc_searchresults.cpp moc_plistwin.cpp
 compiler_moc_header_clean:
-	-$(DEL_FILE) moc_groove.cpp moc_gscom.cpp moc_splayer.cpp moc_streamio.cpp moc_playlist.cpp moc_downloadmanager.cpp moc_grooveprogressbar.cpp moc_topbar.cpp moc_bottombar.cpp moc_vkb.cpp moc_searchresults.cpp
+	-$(DEL_FILE) moc_groove.cpp moc_gscom.cpp moc_splayer.cpp moc_streamio.cpp moc_playlist.cpp moc_downloadmanager.cpp moc_grooveprogressbar.cpp moc_topbar.cpp moc_bottombar.cpp moc_vkb.cpp moc_searchresults.cpp moc_plistwin.cpp
 moc_groove.cpp: gscom.h \
 		splayer.h \
 		streamio.h \
@@ -231,6 +230,8 @@
 		playlist.h \
 		topbar.h \
 		vkb.h \
+		bottombar.h \
+		plistwin.h \
 		groove.h
 	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) groove.h -o moc_groove.cpp
 
@@ -279,10 +280,11 @@
 moc_searchresults.cpp: searchresults.h
 	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) searchresults.h -o moc_searchresults.cpp
 
-compiler_dbus_interface_source_make_all:
-compiler_dbus_interface_source_clean:
-compiler_dbus_adaptor_source_make_all:
-compiler_dbus_adaptor_source_clean:
+moc_plistwin.cpp: playlist.h \
+		gscom.h \
+		plistwin.h
+	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) plistwin.h -o moc_plistwin.cpp
+
 compiler_rcc_make_all: qrc_res.cpp
 compiler_rcc_clean:
 	-$(DEL_FILE) qrc_res.cpp
@@ -309,14 +311,6 @@
 	-$(DEL_FILE) qmake_image_collection.cpp
 compiler_moc_source_make_all:
 compiler_moc_source_clean:
-compiler_dbus_interface_header_make_all:
-compiler_dbus_interface_header_clean:
-compiler_dbus_interface_moc_make_all:
-compiler_dbus_interface_moc_clean:
-compiler_dbus_adaptor_header_make_all:
-compiler_dbus_adaptor_header_clean:
-compiler_dbus_adaptor_moc_make_all:
-compiler_dbus_adaptor_moc_clean:
 compiler_uic_make_all: ui_topbar.h ui_bottombar.h ui_vkb.h ui_searchresults.h
 compiler_uic_clean:
 	-$(DEL_FILE) ui_topbar.h ui_bottombar.h ui_vkb.h ui_searchresults.h
@@ -350,6 +344,34 @@
 		qmaemo5rotator.h \
 		playlist.h \
 		topbar.h \
-		vkb.h
+		vkb.h \
+		bottombar.h \
+		plistwin.h
 	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o main.o main.cpp
 
+groove.o: groove.cpp groove.h \
+		gscom.h \
+		splayer.h \
+		streamio.h \
+		grooveprogressbar.h \
+		qmaemo5rotator.h \
+		playlist.h \
+		topbar.h \
+		vkb.h \
+		bottombar.h \
+		plistwin.h
+	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o groove.o groove.cpp
+
+gscom.o: gscom.cpp gscom.h
+	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o gscom.o gscom.cpp
+
+splayer.o: splayer.cpp splayer.h \
+		streamio.h \
+		grooveprogressbar.h \
+		qmaemo5rotator.h \
+		playlist.h \
+		gscom.h
+	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o splayer.o splayer.cpp
+
+streamio.o: streamio.cpp streamio.h \
+		splayer.h \

=== debian/changelog ===
groove (0.4-12) unstable; urgency=low

  * Update version strings, segfault fixes and useability update

 -- Elias Woods <EliasWoods@gmail.com>  Wed, 5 January 2011 18:05:23 -0400

## groove 0.4-13

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: groove
-# Generated by qmake (2.01a) (Qt 4.7.0) on: Wed Jan 5 17:21:15 2011
+# Generated by qmake (2.01a) (Qt 4.7.0) on: Thu Jan 6 02:27:50 2011
 # Project:  Groove.pro
 # Template: app
 # Command: /usr/bin/qmake -o Makefile Groove.pro
@@ -16,7 +16,7 @@
 INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtGui -I/usr/include/phonon -I/usr/include/qt4 -I. -I/usr/include/qjson -I/usr/include -I/usr/include/qt4/phonon_compat -I. -I.
 LINK          = g++
 LFLAGS        = -Wl,-O1
-LIBS          = $(SUBLIBS)  -L/usr/lib -L/usr/local/lib -lqjson -lpulse-simple -lphonon -lQtGui -lQtNetwork -lQtCore -lpthread 
+LIBS          = $(SUBLIBS)  -L/usr/lib -L/usr/local/lib -lqjson -lphonon -lQtGui -lQtNetwork -lQtCore -lpthread 
 AR            = ar cqs
 RANLIB        = 
 QMAKE         = /usr/bin/qmake
@@ -375,3 +375,4 @@
 
 streamio.o: streamio.cpp streamio.h \
 		splayer.h \
+		grooveprogressbar.h \

=== debian/changelog ===
groove (0.4-13) unstable; urgency=low

  * Fix for progress bar

 -- Elias Woods <EliasWoods@gmail.com>  Thu, 6 January 2011 15:05:23 -0400

## groove 0.4-14

=== debian/changelog ===
groove (0.4-14) unstable; urgency=low

  * Add playlist viewer

 -- Elias Woods <EliasWoods@gmail.com>  Sat, 8 January 2011 17:33:23 -0400

=== rules ===
#!/usr/bin/make -f
APPNAME := groove
builddir:
	mkdir -p builddir

builddir/Makefile: builddir
	cd builddir && qmake-qt4 PREFIX=/usr ../Groove.pro

build: build-stamp

build-stamp: builddir/Makefile
	dh_testdir
        # Add here commands to compile the package.
	cd builddir && $(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
        # Add here commands to clean up after the build process.
	rm -rf builddir
	dh_clean
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

        # Add here commands to install the package into debian/your_appname
	cd builddir && $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/$(APPNAME) install
# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## groove 0.5-01

=== debian/changelog ===
groove (0.5-01) unstable; urgency=low

  * Attempt to fix the autobuilder

 -- Elias Woods <EliasWoods@gmail.com>  Sat, 8 January 2011 17:33:23 -0400

## groove 0.5-02

=== debian/changelog ===
groove (0.5-02) unstable; urgency=low

  * Finally fix ui* conflicts

 -- Elias Woods <EliasWoods@gmail.com>  Sat, 8 January 2011 19:35:23 -0400

## groove 0.5-03

=== debian/changelog ===
groove (0.5-03) unstable; urgency=low

  * Update for API compatability

 -- Elias Woods <EliasWoods@gmail.com>  Fri, 11 February 2011 18:53:46 -0400

## groove 0.5-04

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: groove
-# Generated by qmake (2.01a) (Qt 4.7.0) on: Thu Jan 6 02:27:50 2011
+# Generated by qmake (2.01a) (Qt 4.7.0) on: Sat Jan 8 19:32:21 2011
 # Project:  Groove.pro
 # Template: app
 # Command: /usr/bin/qmake -o Makefile Groove.pro
@@ -55,7 +55,7 @@
 		bottombar.cpp \
 		vkb.cpp \
 		searchresults.cpp \
-		plistwin.cpp moc_groove.cpp \
+		pwin.cpp moc_groove.cpp \
 		moc_gscom.cpp \
 		moc_splayer.cpp \
 		moc_streamio.cpp \
@@ -66,7 +66,7 @@
 		moc_bottombar.cpp \
 		moc_vkb.cpp \
 		moc_searchresults.cpp \
-		moc_plistwin.cpp \
+		moc_pwin.cpp \
 		qrc_res.cpp
 OBJECTS       = main.o \
 		groove.o \
@@ -80,7 +80,7 @@
 		bottombar.o \
 		vkb.o \
 		searchresults.o \
-		plistwin.o \
+		pwin.o \
 		moc_groove.o \
 		moc_gscom.o \
 		moc_splayer.o \
@@ -92,7 +92,7 @@
 		moc_bottombar.o \
 		moc_vkb.o \
 		moc_searchresults.o \
-		moc_plistwin.o \
+		moc_pwin.o \
 		qrc_res.o
 DIST          = /usr/share/qt4/mkspecs/common/g++.conf \
 		/usr/share/qt4/mkspecs/common/unix.conf \
@@ -143,7 +143,7 @@
 
 all: Makefile $(TARGET)
 
-$(TARGET): ui_topbar.h ui_bottombar.h ui_vkb.h ui_searchresults.h $(OBJECTS)  
+$(TARGET): ui_topbar.h ui_bottombar.h ui_vkb.h ui_searchresults.h ui_pwin.h $(OBJECTS)  
 	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)
 
 Makefile: Groove.pro  /usr/share/qt4/mkspecs/linux-g++/qmake.conf /usr/share/qt4/mkspecs/common/g++.conf \
@@ -198,7 +198,7 @@
 
 dist: 
 	@$(CHK_DIR_EXISTS) .tmp/groove1.0.0 || $(MKDIR) .tmp/groove1.0.0 
-	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/groove1.0.0/ && $(COPY_FILE) --parents groove.h gscom.h splayer.h streamio.h playlist.h downloadmanager.h grooveprogressbar.h topbar.h bottombar.h vkb.h searchresults.h plistwin.h .tmp/groove1.0.0/ && $(COPY_FILE) --parents res.qrc .tmp/groove1.0.0/ && $(COPY_FILE) --parents main.cpp groove.cpp gscom.cpp splayer.cpp streamio.cpp playlist.cpp downloadmanager.cpp grooveprogressbar.cpp topbar.cpp bottombar.cpp vkb.cpp searchresults.cpp plistwin.cpp .tmp/groove1.0.0/ && $(COPY_FILE) --parents topbar.ui bottombar.ui vkb.ui searchresults.ui .tmp/groove1.0.0/ && (cd `dirname .tmp/groove1.0.0` && $(TAR) groove1.0.0.tar groove1.0.0 && $(COMPRESS) groove1.0.0.tar) && $(MOVE) `dirname .tmp/groove1.0.0`/groove1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/groove1.0.0
+	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/groove1.0.0/ && $(COPY_FILE) --parents groove.h gscom.h splayer.h streamio.h playlist.h downloadmanager.h grooveprogressbar.h topbar.h bottombar.h vkb.h searchresults.h pwin.h .tmp/groove1.0.0/ && $(COPY_FILE) --parents res.qrc .tmp/groove1.0.0/ && $(COPY_FILE) --parents main.cpp groove.cpp gscom.cpp splayer.cpp streamio.cpp playlist.cpp downloadmanager.cpp grooveprogressbar.cpp topbar.cpp bottombar.cpp vkb.cpp searchresults.cpp pwin.cpp .tmp/groove1.0.0/ && $(COPY_FILE) --parents topbar.ui bottombar.ui vkb.ui searchresults.ui pwin.ui .tmp/groove1.0.0/ && (cd `dirname .tmp/groove1.0.0` && $(TAR) groove1.0.0.tar groove1.0.0 && $(COMPRESS) groove1.0.0.tar) && $(MOVE) `dirname .tmp/groove1.0.0`/groove1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/groove1.0.0
 
 
 clean:compiler_clean 
@@ -219,9 +219,9 @@
 
 mocables: compiler_moc_header_make_all compiler_moc_source_make_all
 
-compiler_moc_header_make_all: moc_groove.cpp moc_gscom.cpp moc_splayer.cpp moc_streamio.cpp moc_playlist.cpp moc_downloadmanager.cpp moc_grooveprogressbar.cpp moc_topbar.cpp moc_bottombar.cpp moc_vkb.cpp moc_searchresults.cpp moc_plistwin.cpp
+compiler_moc_header_make_all: moc_groove.cpp moc_gscom.cpp moc_splayer.cpp moc_streamio.cpp moc_playlist.cpp moc_downloadmanager.cpp moc_grooveprogressbar.cpp moc_topbar.cpp moc_bottombar.cpp moc_vkb.cpp moc_searchresults.cpp moc_pwin.cpp
 compiler_moc_header_clean:
-	-$(DEL_FILE) moc_groove.cpp moc_gscom.cpp moc_splayer.cpp moc_streamio.cpp moc_playlist.cpp moc_downloadmanager.cpp moc_grooveprogressbar.cpp moc_topbar.cpp moc_bottombar.cpp moc_vkb.cpp moc_searchresults.cpp moc_plistwin.cpp
+	-$(DEL_FILE) moc_groove.cpp moc_gscom.cpp moc_splayer.cpp moc_streamio.cpp moc_playlist.cpp moc_downloadmanager.cpp moc_grooveprogressbar.cpp moc_topbar.cpp moc_bottombar.cpp moc_vkb.cpp moc_searchresults.cpp moc_pwin.cpp
 moc_groove.cpp: gscom.h \
 		splayer.h \
 		streamio.h \
@@ -231,7 +231,7 @@
 		topbar.h \
 		vkb.h \
 		bottombar.h \
-		plistwin.h \
+		pwin.h \
 		groove.h
 	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) groove.h -o moc_groove.cpp
 
@@ -280,10 +280,8 @@
 moc_searchresults.cpp: searchresults.h
 	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) searchresults.h -o moc_searchresults.cpp
 
-moc_plistwin.cpp: playlist.h \
-		gscom.h \
-		plistwin.h
-	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) plistwin.h -o moc_plistwin.cpp
+moc_pwin.cpp: pwin.h
+	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) pwin.h -o moc_pwin.cpp
 
 compiler_rcc_make_all: qrc_res.cpp
 compiler_rcc_clean:
@@ -292,6 +290,7 @@
 		general_fullsize.png \
 		wmTaskModified.png \
 		groove.png \
+		general_up.png \
 		general_search.png \
 		general_add.png \
 		wmTaskSwitcherIconPressed.png \
@@ -303,7 +302,8 @@
 		camera_video_stop.png \
 		wmTaskSwitcherIcon.png \
 		general_back.png \
-		wmTaskSwitcherIconHighlight.png
+		wmTaskSwitcherIconHighlight.png \
+		general_down.png
 	/usr/bin/rcc -name res res.qrc -o qrc_res.cpp
 
 compiler_image_collection_make_all: qmake_image_collection.cpp
@@ -311,9 +311,9 @@
 	-$(DEL_FILE) qmake_image_collection.cpp
 compiler_moc_source_make_all:
 compiler_moc_source_clean:
-compiler_uic_make_all: ui_topbar.h ui_bottombar.h ui_vkb.h ui_searchresults.h
+compiler_uic_make_all: ui_topbar.h ui_bottombar.h ui_vkb.h ui_searchresults.h ui_pwin.h
 compiler_uic_clean:
-	-$(DEL_FILE) ui_topbar.h ui_bottombar.h ui_vkb.h ui_searchresults.h
+	-$(DEL_FILE) ui_topbar.h ui_bottombar.h ui_vkb.h ui_searchresults.h ui_pwin.h
 ui_topbar.h: topbar.ui
 	/usr/bin/uic-qt4 topbar.ui -o ui_topbar.h
 
@@ -325,6 +325,9 @@
 
 ui_searchresults.h: searchresults.ui
 	/usr/bin/uic-qt4 searchresults.ui -o ui_searchresults.h
+
+ui_pwin.h: pwin.ui
+	/usr/bin/uic-qt4 pwin.ui -o ui_pwin.h
 
 compiler_yacc_decl_make_all:
 compiler_yacc_decl_clean:
@@ -346,7 +349,7 @@
 		topbar.h \
 		vkb.h \
 		bottombar.h \
-		plistwin.h
+		pwin.h
 	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o main.o main.cpp
 
 groove.o: groove.cpp groove.h \
@@ -359,7 +362,7 @@
 		topbar.h \
 		vkb.h \
 		bottombar.h \
-		plistwin.h
+		pwin.h
 	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o groove.o groove.cpp
 
 gscom.o: gscom.cpp gscom.h
@@ -373,6 +376,3 @@
 		gscom.h
 	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o splayer.o splayer.cpp
 
-streamio.o: streamio.cpp streamio.h \
-		splayer.h \
-		grooveprogressbar.h \

=== debian/changelog ===
groove (0.5-04) unstable; urgency=low

  * Update for API compatability
  * Added settings window and heartbeat

 -- Elias Woods <EliasWoods@gmail.com>  Fri, 29 April 2011 1:28:00 -0400

=== debian/control ===
Source: groove
Section: user/multimedia
Priority: extra
Maintainer: Elias Woods <EliasWoods@gmail.com>
Build-Depends: debhelper (>= 5), libqjson-dev, libqt4-dev (>= 4.6.0), autotools-dev, mce-dev
Standards-Version: 3.7.2

Package: groove
Architecture: any
Depends: libqt4-core, libqt4-phonon, libqt4-gui, libqt4-network, libqjson
XSBC-Bugtracker: http://github.com/dotblank/groove
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAABHNCSVQICAgI
 fAhkiAAAAAlwSFlzAAAKYQAACmEB/MxKJQAAABl0RVh0U29mdHdhcmUAd3d3
 Lmlua3NjYXBlLm9yZ5vuPBoAAAj0SURBVGiB1Vp7cJTVFf+de799ZjfZbIKE
 SOUVCHnxVHxUMKi0hTIyFZKAba3TcWRqnbYOdupIbUtntNOxOtNhWqcybQep
 IiygTB1ALQ6DiKGIVvKS+EClIpCQkGySfXz33tM/1hCWDZuw2cbh99fu/e53
 9ve759x7zr13iZlxJUN81QRGiitegJVtg6EQyUqJq1hjLDPGAvAB6DCEdlI4
 U7mKT6d7/9gLVKwsLAAAVwy7Sr7L3en600jnwJFnyOEO4GYSWKI07pACUwHQ
 pforhTNS4g0h8BYIB84U4Eh1NSsAwDoSjWXYT4SvA4AwqCqr48b/i4DmEAUB
 PKwN7hcCOZE46SMtLnH0Ixd1dAt0hiU6wwKxOCHgN/B5DIK5BqXXxFE1Ja4n
 F9uCCGQMogDelALvaMatBMzdsteHlbf3AAbzKur4cDoelx1CRzdRjvTgQWPw
 C2byvnzQKw6850bTcadUmjB9QhwLZkVRMalXFeRpzvcb6bBYxGzS4V5hmj9x
 OvbUe2V9kxvFhQqVk+PuGVNiC0sn2NWtJxy0pz4Hx09aWHl7D4yAdyg+l+WB
 5hCVaIPdRJjyyiEvbdrjR9s5CSLgm9f34e5vhVVhQFtao9OSeJUJJ2Fwmgi9
 AIKGUcyM+UKgLK7I7DrolRt3+dEbTV5Lxo9R+NvaMyDCkvIVvDsdp2F7oCFE
 t4DxUke39P1yQ5A+/twBACgZb+Ohu87pycW2ZMZOIjx9TGJfTQ3rNANR5LT4
 p8vm9/7sxsqo9eiGAuuTLwaoRO3EFGKTJQ80baVVBth07DMnfr0hKM/1JEZs
 TmkM6+7t0A7JH1iE1WW1vH9IYxcK2U4VWuGl7l4x8Ud/GGOd7ZIAAL/XYPvj
 p8DA3ZU1vCmdjSHzQMsWusEAz9Y3uMVD6wvOk589LYbH7jtrLMlvOj2Yd7nk
 AaB8OTexAwv9OaZz3b0d2ulIDGb8Sw8IGtoDaQW07KBxirDz01MO+t0/8slW
 CcN+r8HD3+tUIBz25uIbpXdw+HLJ92PGnfxfB3BHyXjbPFh7jgEgZhOYAQY8
 mQtYR0LZeLEvKoK/2hCUsfjA0v7A8i7O9RmbHLirZDHHMiXfj7I6rpcCq2+7
 LkK3zI4AAGxFZjhz4JICmiuwSghc//tNAet0hzzfPnGcQvWcCEnC2qo7+eOR
 ku9H+Qr+uzE4dM+SsCIC4opMxiEUCpHUGr9tPu40h5rdSc/uWhRmZnREvfhL
 lrifh5RYe/UYZS2cE0HcJuZMBVQA3xcCkzfu9ic993sN5s+KQAr8ce5S7ssW
 8X6Ur+C9hrH/niXdihmUcQjZGmuajjvNu62upPYFCfJkDJ7LEufBCD1SVKCt
 gjxtDSeEUhLZ0RfpKkui4rXD3pSC7OaZUaMN/jOjjj/KFuGLUVHLb7ZsobkA
 nCzQPlT/FAGWxiIG6Mj7yaMvBFA+Kc6SsCt7dAdHWR2/M9y+KSHEwKIv2qW6
 cOUBgMnFNjxOliRwMAscs4YUAcrG/Pc+dKV4ZmwwUdooxvujwGvYSBFAAmP6
 a5ILkes1AACXa+i4HE0kjfS+fWSNEfB19aYuTnk+A8NQIykbAKApRPuVRjCT
 d4WAgURt1XI+HwVJAq5qQyED1BlOFeD3GhhDnZn88IVQGjMtiVwA0AY41ORG
 b+TSFU1ujsG88ijoyzVRqOSlNUmAMcgnAfQMYjDHY8DgrpEKcEg8pw1mGqap
 luTCWdNiZn0oIPe+nVq3zZkWw6M/7NQEkFL4yLJwOC6QdCiQJEALdFsActwm
 xVgkJkCJE4YRobyG7+//fDREkzwufubHy7uqDza4rUgsOfWs/k639rhMi7Cw
 dGYtfzqYvaShzvElJmieL1VAuI9AhLyRCrgQM2r4OATW+DzGuqEimvSsMKAx
 aZwtpcBTZXcOTh64SEDJYo5pRl9gEAE9fQJSwHPkGXJkSwAAtBegGQAHc5N3
 oPn+BAfNSFvxpiYyQ2cD/lQB/TsxRz7GZ8x2EFRXs9Ia5y72ut+T+C6HKCdS
 BFiS66smx9XF7a0nnAmDhOtHwHdQMKjH7bxob94/HQzSbtpTlxvCqxOKbCuY
 mzwip85KdPcJRcCNI2KbZaSGkMIrRMDc0mhK54YPnZatcNuoMBsmUgRUruQT
 WqN14dxIiuv+9bYXlkRF83bKehhlikFToLTwxLXTY1R6TTyp/a1GN852SaUV
 fjIq7IaBQQVEO7BRa5y4e3E4aSIYA+x8I8cCobZhO00fHYrpMaiAufexLQR+
 c11ZTFxXlnxqsvONHLR1SrDC5mznhExwySqqhbDRGOx75AcduqhgIMlEYoTH
 n823BGGmJx+PjQrLNLikgJoa1kqg1uXgM+vu7dA+z0A0tXzixMZdfmLg503b
 6CmcrxVHH2mPFmfXcJtFWDaxyLbXr2nXxYUD+e351/z46z9zAcaDjVvxQutm
 KsyEQHOIfERc2BfL7LpuyLcq6viwkLipKKhO/+mhdnVT1UB+2LLXhyeeD0Bp
 WhETON68jdZ8uJtcacwloWUHjTOMLYLgee3fyeX01YUpxcCgGPYFR+NmGssS
 WwVhwTutLvP0jjzx6alENV6Yp3HPt8NYNK+PDSMiCHsE4WVDaICN0+48nClZ
 jHjrZhRogSIWmMGEpdpgWTQmnOtDedbrRxICxhVorF7WxTfNiJI2aHQbLJy2
 ii9ZD132HVnTNlqpFJ6UEuPqG9zYsT+H3vsgMegTihSqZ0dwY2VUTSq2raSZ
 wTCgAY9/3mapgw1uK/R6YouxYFYEt14b0WUT4pKBsBRY28T4c7qLkowEAMBb
 IfL4gQfY4AEhcM0X7VIdanZb77a6cOwzJzq6BYK5GleP0Qj4NAI+A4eD0dUj
 0dUjoA0Q8BlMnxBHxaS4mvo1W4IANjhAhOcFYWt5DXcMh8vIrlnXkWgsx2IB
 1Nkaiy2JQgDoi5E+2WZxOCJkb4RICiCYq3XQb0yuzwiXgyUAaIM2S+CAYexz
 GGwrXcknL5fCiO+JL0RDiKqIMZMIUwGUMBAAI48BLQinwWgDoZ0ZTYJQX17D
 n430N7Mq4KvAFf9fiStewP8AWjWkq0zZczoAAAAASUVORK5CYII=
Description: Qt4 Grooveshark client
 This program is in active development
